﻿@using SSCMvc.Webutil;
@model IEnumerable<SSCMvc.Models.MaFrmReference>
@{
    ViewBag.Title = "Search";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script type="text/javascript">
        function Submit() {
            searchfun();
        }


        function searchfun() {
            var txtCompany = $("#txtCompany").val();
            var txtMobile = $("#txtMobile").val();
            window.location.href = "/MaReference/Search?company=" + txtCompany + "&&mobile=" + txtMobile;
        }


        $(document).ready(function () {

            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    searchfun();
                }
                return true;
            });


        });

        deleterecord("MaReference");
    </script>
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Searched Reference List</h1>
</div>
<ul class="breadcrumb">
    <li>@Html.ActionLink("Home", "Index", "Home") <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">
        <div style="margin-top: 40px" align="center">
            <table style="width: 700px; text-align: center">
                <tr>
                    <td style="width: 100px">
                        Company Name
                    </td>
                    <td>
                        <input type="text" style="width: 130px" id="txtCompany" value="@ViewBag.company" />
                    </td>
                    <td style="vertical-align: middle">
                        Mobile
                    </td>
                    <td>
                        <input type="text" style="width: 130px" id="txtMobile" value="@ViewBag.mobile" />
                    </td>
                    <td style="vertical-align: top">
                        <table>
                            <tr>
                                <td style="vertical-align: top">
                                    <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" onclick="Submit()" />
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </div>
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.ActionLink("Create New", "Create")
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(model => model.CompName)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.ContactPerson)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Email)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.MobileNo)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Commission)
                        </th>
                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                      string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    {
                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                            <td>
                                @Html.DisplayFor(modelItem => item.CompName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.ContactPerson)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Email)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.MobileNo)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Commission)
                            </td>
                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                                @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "MaReference", new { id = item.Id }, new { @class = "delete-link" }, null)
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
    </div>
</div>
